<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Link</title>
    <style>
        body {
            background-color: #2e2d2c;
        }
        ul, h3, p {
            color: white;
        }
        a {
            color: #4a84d2;
            text-decoration: none;
            font-size: 90%;
        }
        li {
            margin: 0px 0px 10px 0px;
        }
        p{
            font-size: 90%;
            padding: 0px 0px 0px 25px;
            width: 45%;
        }
        span {
            color: #4a84d2;
        }
    </style>
</head>
<body>
    <ul style="border:1px solid white; width: 25%;"> 
        <h4 style="color: white; margin: 10px 0px 10px -15px;"> Page Contents </h4>
            <li><a href="#top">Using #top or #bottom </a></li>
            <li><a href="#idselector">Using the id selector</a></li>
            <li><a href="#htmlcode">Complete HTML page code example </a></li>
        </ul>
    <h3 id="top">Using #top or #bottom</h3>
    <p> The following examples use #top and #bottom with the <span>&lt;a&gt; tag</span> and <span>href attribute</span> to link to that section of the page. 
    This method is similar to using "id", but you don't have to pick a specific element. Click "Top" or "Bottom" in the Results section to see what happens</p>
    
    <h3 id="idselector">Using the id selector</h3>
    <p> In <span>CSS</span>, "<span>id</span>" is a selector that is used to designate an area that a link should point to, 
    similar to <span>anchor</span> in <span>HTML</span>. The nice thing about using id is you can create a link to any <span>element</span>
    on the page, rather than only the top or bottom. In the following sections, we show you how to apply id to an <span>HTML tag</span>, and 
    then how to link to it. The following two examples link to the opening paragraph at the top of this page.</p>

    <h3 id="htmlcode">Complete HTML page code example</h3>
    <p> The following code shows how both the #top and #bottom anchors and the id selector can all be used on the same page.</p>

</body>
</html>